(READPORT 0x0203)
(ISOLATE)
# A less verbose format used by IDENTIFY:
(IDENTIFY-FORMAT "IsaPnP board %b: %v Serial No %s\n")
(IDENTIFY *)

# Card 1: (serial identifier 0f ff ff ff ff 00 08 a8 65)
# Vendor Id YMH0800, No Serial Number (-1), checksum 0x0F.
# Version 1.0, Vendor version 0.0
# ANSI string -->YAMAHA OPL3-SAx Audio System<--
#
# Logical device id YMH0021

(CONFIGURE YMH0800/-1 (LD 0
 (IO 0 (BASE 0x0220))
 (IO 1 (BASE 0x0530))
 (IO 2 (BASE 0x0388))
 (IO 3 (BASE 0x0330))
 (IO 4 (BASE 0x0370))
 (INT 0 (IRQ 5 (MODE +E)))
 (DMA 0 (CHANNEL 0))
 (DMA 1 (CHANNEL 7))
 (ACT Y)
))

# Don't configure the modem.
# Resource are free for other hardware, like PCMCIA cards.
#
# Card 2: (serial identifier e6 00 00 01 00 19 02 6d 22)
# Vendor Id HSM0219, Serial Number 256, checksum 0xE6.
# Version 1.0, Vendor version 0.1
# ANSI string -->LT Win Modem^@<--
#
# Logical device id HSM0a19
#
# (CONFIGURE HSM0219/256 (LD 0
#  (IO 0 (BASE 0x03e8))
#  (INT 0 (IRQ 10 (MODE +E)))
#  (IO 1 (BASE 0x0100))
#  (ACT N)
# ))

(WAITFORKEY)
